# Visualization
TKMeshVS
MeshVS

# MeshVS_DataMapOfIntegerColor Class Reference

`#include <MeshVS_DataMapOfIntegerColor.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | MeshVS_DataMapOfIntegerColor (const Standard_Integer NbBuckets=1)
Standard_EXPORT MeshVS_DataMapOfIntegerColor & | Assign (const MeshVS_DataMapOfIntegerColor &Other)
MeshVS_DataMapOfIntegerColor & | operator= (const MeshVS_DataMapOfIntegerColor &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~MeshVS_DataMapOfIntegerColor ()
Standard_EXPORT Standard_Boolean | Bind (const Standard_Integer &K, const Quantity_Color &I)
Standard_EXPORT Standard_Boolean | IsBound (const Standard_Integer &K) const
Standard_EXPORT Standard_Boolean | UnBind (const Standard_Integer &K)
Standard_EXPORT const Quantity_Color & | Find (const Standard_Integer &K) const
const Quantity_Color & | operator() (const Standard_Integer &K) const
Standard_EXPORT Quantity_Color & | ChangeFind (const Standard_Integer &K)
Quantity_Color & | operator() (const Standard_Integer &K)

## Private Member Functions

Standard_EXPORT | MeshVS_DataMapOfIntegerColor (const MeshVS_DataMapOfIntegerColor &Other)

## Constructor & Destructor Documentation

Standard_EXPORT MeshVS_DataMapOfIntegerColor::MeshVS_DataMapOfIntegerColor | ( | const Standard_Integer | NbBuckets = `1` | ) |

MeshVS_DataMapOfIntegerColor::~MeshVS_DataMapOfIntegerColor | ( |  | ) | `[inline]`

Standard_EXPORT MeshVS_DataMapOfIntegerColor::MeshVS_DataMapOfIntegerColor | ( | const MeshVS_DataMapOfIntegerColor & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT MeshVS_DataMapOfIntegerColor& MeshVS_DataMapOfIntegerColor::Assign | ( | const MeshVS_DataMapOfIntegerColor & | Other | ) |

Standard_EXPORT Standard_Boolean MeshVS_DataMapOfIntegerColor::Bind | ( | const Standard_Integer & | K,
|  | const Quantity_Color & | I
| ) |

Standard_EXPORT Quantity_Color& MeshVS_DataMapOfIntegerColor::ChangeFind | ( | const Standard_Integer & | K | ) |

Standard_EXPORT void MeshVS_DataMapOfIntegerColor::Clear | ( |  | ) |

Standard_EXPORT const Quantity_Color& MeshVS_DataMapOfIntegerColor::Find | ( | const Standard_Integer & | K | ) | const

Standard_EXPORT Standard_Boolean MeshVS_DataMapOfIntegerColor::IsBound | ( | const Standard_Integer & | K | ) | const

void MeshVS_DataMapOfIntegerColor::operator delete | ( | void * | anAddress | ) | `[inline]`

void* MeshVS_DataMapOfIntegerColor::operator new | ( | size_t | size | ) | `[inline]`

void* MeshVS_DataMapOfIntegerColor::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Quantity_Color& MeshVS_DataMapOfIntegerColor::operator() | ( | const Standard_Integer & | K | ) | `[inline]`

const Quantity_Color& MeshVS_DataMapOfIntegerColor::operator() | ( | const Standard_Integer & | K | ) | const`[inline]`

MeshVS_DataMapOfIntegerColor& MeshVS_DataMapOfIntegerColor::operator= | ( | const MeshVS_DataMapOfIntegerColor & | Other | ) | `[inline]`

Standard_EXPORT void MeshVS_DataMapOfIntegerColor::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT Standard_Boolean MeshVS_DataMapOfIntegerColor::UnBind | ( | const Standard_Integer & | K | ) |

The documentation for this class was generated from the following file:

- MeshVS_DataMapOfIntegerColor.hxx